## Package org.eclipse.datatools.sqltools.parsers.sql

Interface Summary
SQLParserFactory

Class Summary
AbstractSQLParser
SQLParseErrorInfo: This class provides information about an error that may occur when the `SQLQueryParser` parses an input that either is ambiguous to interpret or is not valid according to the parser's grammar rules.
SQLParser
SQLParseResult
SQLParserLogger: The `SQLParserLogger` is a slim wrapper around the eclipse logging, with the intention to be refactored in future to adopt the common logging strategy, preferably `Logger`.
SQLParserManager
SQLParserMessages
SQLParserPlugin: The main plugin class to be used in the desktop.

Exception Summary
SQLParserException: Exception thrown by `SQLQueryParser` when an error occured while running the parser.
SQLParserInternalException: Exception thrown by `SQLQueryParser` when an internal error occured while attempting to run the parser.